import { useState, Suspense } from "react";
import './App.css';
import Loader from "./Loader/Loader";
import LoaderCustomer from "./Loader/LoaderCustomer";
import Employee from "./Employee/Employee";
import Customer from "./Customer/Customer";

function App() {
  
  return (
    <div className="App">
      <h2>React Suspense Example::webrecto.com</h2>
      <Suspense fallback={<Loader />}>
        <Employee/>
        <Suspense fallback={<LoaderCustomer />}>
            <Customer/>
        </Suspense>
      </Suspense>
      
    </div>
  );
}

export default App;