import { useState, useEffect } from "react";
import axios from "axios";

function Employee() {
    const [data, setData] = useState();

    useEffect(() => {
        const getData = async () => {
          axios.get('https://jsonplaceholder.org/users').then((response) => {
            setData(response.data)
          });
        };
        getData();
      }, []);
  return (
    <div className="App">
       <h3>Employee Name</h3>
       <table width="100%" border="1">
        <tr>
            <th>First Name</th>
            <th>Last Name</th>
        </tr>
        {
          data && data.map((emp)=>{
             return(
              <tr>
                <td>{emp.firstname}</td>
                <td>{emp.lastname}</td>
              </tr>
             )
            })
        }
       </table>
    </div>
  );
}
export default Employee;